TOWCTRANS(3)

NAME
towctrans, towctrans_l - convert a wide character with a specified map

SYNOPSIS
#include <wctype.h>
wint_t
towctrans(wint_t wc, wctrans_t charmap);
wint_t
towctrans_l(wint_t wc, wctrans_t charmap, locale_t locale);

DESCRIPTION
These functions convert the wide character wc with a character mapping charmap.

The behaviour is undefined if charmap or wc is invalid. When charmap is retrieved with wctrans(3), it becomes invalid when the thread-specific character encoding locale is changed with uselocale(3) or when the global character encoding locale is changed with setlocale(3). When charmap is retrieved with wctrans_l(3), it is only valid for use with the same locale argument.

RETURN VALUES
These functions return the resulting wide character, or wc if there is no corresponding character in charmap.

SEE ALSO
iswctype(3), newlocale(3), setlocale(3), towlower(3), wctrans(3)

STANDARDS
The towctrans() function conforms to isoC-amd1, and towctrans_l() to p1003.1-2008.

HISTORY
The towctrans() function has been available since OpenBSD 3.8, and towctrans_l() since OpenBSD 6.2.